# Uses of Interface
javafx.collections.ObservableMap

Packages that use ObservableMap
Package
Description
javafx.animation
Provides the set of classes for ease of use transition based animations.
javafx.beans.binding
Provides classes that create and operate on a `Binding` that calculates a value that depends on one or more sources.
javafx.beans.property
The package `javafx.beans.property` defines read-only properties and writable properties, plus a number of implementations.
javafx.beans.value
The package `javafx.beans.value` contains the two fundamental interfaces `ObservableValue` and `WritableValue` and all of its sub-interfaces.
javafx.collections
Contains the essential JavaFX collections and collection utilities
javafx.fxml
Contains classes for loading an object hierarchy from markup.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.media
Provides the set of classes for integrating audio and video into Java FX Applications.
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of ObservableMap in javafx.animation

Methods in javafx.animation that return ObservableMap
Modifier and Type
Method
Description
`final ObservableMap<String,Duration>`
Animation.`getCuePoints()`
The cue points can be used to mark important positions of the `Animation`.

## Uses of ObservableMap in javafx.beans.binding

Classes in javafx.beans.binding that implement ObservableMap
Modifier and Type
Class
Description
`class`
`MapBinding<K,V>`
Base class that provides most of the functionality needed to implement a `Binding` of an `ObservableMap`.
`class`
`MapExpression<K,V>`
`MapExpression` is an `ObservableMapValue` plus additional convenience methods to generate bindings in a fluent style.
Methods in javafx.beans.binding that return ObservableMap
Modifier and Type
Method
Description
`protected abstract ObservableMap<K,V>`
MapBinding.`computeValue()`
Calculates the current value of this binding.
`final ObservableMap<K,V>`
MapBinding.`get()`
Returns the result of `MapBinding.computeValue()`.
`ObservableMap<K,V>`
MapExpression.`getValue()`
Methods in javafx.beans.binding with parameters of type ObservableMap
Modifier and Type
Method
Description
`static <K, V> void`
Bindings.`bindContent(Map<K,V> map1, ObservableMap<? extends K,? extends V> map2)`
Generates a content binding between an `ObservableMap` and a `Map`.
`static <K, V> void`
Bindings.`bindContentBidirectional(ObservableMap<K,V> map1, ObservableMap<K,V> map2)`
Generates a bidirectional binding (or "bind with inverse") between two instances of `ObservableMap`.
`static <K> BooleanBinding`
Bindings.`booleanValueAt(ObservableMap<K,Boolean> op, ObservableValue<? extends K> key)`
Creates a new `BooleanBinding` that contains the mapping of a specific key in an `ObservableMap`.
`static <K> BooleanBinding`
Bindings.`booleanValueAt(ObservableMap<K,Boolean> op, K key)`
Creates a new `BooleanBinding` that contains the mapping of a specific key in an `ObservableMap`.
`static <K> DoubleBinding`
Bindings.`doubleValueAt(ObservableMap<K,? extends Number> op, ObservableValue<? extends K> key)`
Creates a new `DoubleBinding` that contains the mapping of a specific key in an `ObservableMap`.
`static <K> DoubleBinding`
Bindings.`doubleValueAt(ObservableMap<K,? extends Number> op, K key)`
Creates a new `DoubleBinding` that contains the mapping of a specific key in an `ObservableMap`.
`static <K> FloatBinding`
Bindings.`floatValueAt(ObservableMap<K,? extends Number> op, ObservableValue<? extends K> key)`
Creates a new `FloatBinding` that contains the mapping of a specific key in an `ObservableMap`.
`static <K> FloatBinding`
Bindings.`floatValueAt(ObservableMap<K,? extends Number> op, K key)`
Creates a new `FloatBinding` that contains the mapping of a specific key in an `ObservableMap`.
`static <K> IntegerBinding`
Bindings.`integerValueAt(ObservableMap<K,? extends Number> op, ObservableValue<? extends K> key)`
Creates a new `IntegerBinding` that contains the mapping of a specific key in an `ObservableMap`.
`static <K> IntegerBinding`
Bindings.`integerValueAt(ObservableMap<K,? extends Number> op, K key)`
Creates a new `IntegerBinding` that contains the mapping of a specific key in an `ObservableMap`.
`static <K, V> BooleanBinding`
Bindings.`isEmpty(ObservableMap<K,V> op)`
Creates a new `BooleanBinding` that holds `true` if a given `ObservableMap` is empty.
`BooleanBinding`
MapExpression.`isEqualTo(ObservableMap<?,?> other)`
Creates a new `BooleanBinding` that holds `true` if this map is equal to another `ObservableMap`.
`static <K, V> BooleanBinding`
Bindings.`isNotEmpty(ObservableMap<K,V> op)`
Creates a new `BooleanBinding` that holds `true` if a given `ObservableMap` is not empty.
`BooleanBinding`
MapExpression.`isNotEqualTo(ObservableMap<?,?> other)`
Creates a new `BooleanBinding` that holds `true` if this map is not equal to another `ObservableMap`.
`static <K> LongBinding`
Bindings.`longValueAt(ObservableMap<K,? extends Number> op, ObservableValue<? extends K> key)`
Creates a new `LongBinding` that contains the mapping of a specific key in an `ObservableMap`.
`static <K> LongBinding`
Bindings.`longValueAt(ObservableMap<K,? extends Number> op, K key)`
Creates a new `LongBinding` that contains the mapping of a specific key in an `ObservableMap`.
`static <K, V> IntegerBinding`
Bindings.`size(ObservableMap<K,V> op)`
Creates a new `IntegerBinding` that contains the size of an `ObservableMap`.
`static <K> StringBinding`
Bindings.`stringValueAt(ObservableMap<K,String> op, ObservableValue<? extends K> key)`
Creates a new `StringBinding` that contains the mapping of a specific key in an `ObservableMap`.
`static <K> StringBinding`
Bindings.`stringValueAt(ObservableMap<K,String> op, K key)`
Creates a new `StringBinding` that contains the mapping of a specific key in an `ObservableMap`.
`static <K, V> ObjectBinding<V>`
Bindings.`valueAt(ObservableMap<K,V> op, ObservableValue<? extends K> key)`
Creates a new `ObjectBinding` that contains the mapping of a specific key in an `ObservableMap`.
`static <K, V> ObjectBinding<V>`
Bindings.`valueAt(ObservableMap<K,V> op, K key)`
Creates a new `ObjectBinding` that contains the mapping of a specific key in an `ObservableMap`.
Method parameters in javafx.beans.binding with type arguments of type ObservableMap
Modifier and Type
Method
Description
`void`
MapBinding.`addListener(ChangeListener<? super ObservableMap<K,V>> listener)`
`void`
MapBinding.`removeListener(ChangeListener<? super ObservableMap<K,V>> listener)`

## Uses of ObservableMap in javafx.beans.property

Classes in javafx.beans.property that implement ObservableMap
Modifier and Type
Class
Description
`class`
`MapProperty<K,V>`
This class provides a full implementation of a `Property` wrapping an `ObservableMap`.
`class`
`MapPropertyBase<K,V>`
The class `MapPropertyBase` is the base class for a property wrapping an `ObservableMap`.
`class`
`ReadOnlyMapProperty<K,V>`
Superclass for all readonly properties wrapping an `ObservableMap`.
`class`
`ReadOnlyMapPropertyBase<K,V>`
Base class for all readonly properties wrapping an `ObservableMap`.
`class`
`ReadOnlyMapWrapper<K,V>`
This class provides a convenient class to define read-only properties.
`class`
`SimpleMapProperty<K,V>`
This class provides a full implementation of a `Property` wrapping an `ObservableMap`.
Methods in javafx.beans.property that return ObservableMap
Modifier and Type
Method
Description
`ObservableMap<K,V>`
MapPropertyBase.`get()`
Methods in javafx.beans.property with parameters of type ObservableMap
Modifier and Type
Method
Description
`void`
ReadOnlyMapProperty.`bindContent(ObservableMap<K,V> map)`
Creates a content binding between the `ObservableMap`, that is wrapped in this `ReadOnlyMapProperty`, and another `ObservableMap`.
`void`
ReadOnlyMapProperty.`bindContentBidirectional(ObservableMap<K,V> map)`
Creates a bidirectional content binding of the `ObservableMap`, that is wrapped in this `ReadOnlyMapProperty`, and another `ObservableMap`.
`void`
MapPropertyBase.`set(ObservableMap<K,V> newValue)`
`void`
MapProperty.`setValue(ObservableMap<K,V> v)`
Set the wrapped value.
Method parameters in javafx.beans.property with type arguments of type ObservableMap
Modifier and Type
Method
Description
`void`
MapPropertyBase.`addListener(ChangeListener<? super ObservableMap<K,V>> listener)`
`void`
ReadOnlyMapPropertyBase.`addListener(ChangeListener<? super ObservableMap<K,V>> listener)`
`void`
MapPropertyBase.`bind(ObservableValue<? extends ObservableMap<K,V>> newObservable)`
`void`
MapProperty.`bindBidirectional(Property<ObservableMap<K,V>> other)`
Create a bidirectional binding between this `Property` and another one.
`void`
MapPropertyBase.`removeListener(ChangeListener<? super ObservableMap<K,V>> listener)`
`void`
ReadOnlyMapPropertyBase.`removeListener(ChangeListener<? super ObservableMap<K,V>> listener)`
`void`
MapProperty.`unbindBidirectional(Property<ObservableMap<K,V>> other)`
Remove a bidirectional binding between this `Property` and another one.
Constructors in javafx.beans.property with parameters of type ObservableMap
Modifier
Constructor
Description
``
`MapPropertyBase(ObservableMap<K,V> initialValue)`
The constructor of the `MapPropertyBase`.
``
`ReadOnlyMapWrapper(Object bean, String name, ObservableMap<K,V> initialValue)`
The constructor of `ReadOnlyMapWrapper`
``
`ReadOnlyMapWrapper(ObservableMap<K,V> initialValue)`
The constructor of `ReadOnlyMapWrapper`
``
`SimpleMapProperty(Object bean, String name, ObservableMap<K,V> initialValue)`
The constructor of `SimpleMapProperty`
``
`SimpleMapProperty(ObservableMap<K,V> initialValue)`
The constructor of `SimpleMapProperty`

## Uses of ObservableMap in javafx.beans.value

Subinterfaces of ObservableMap in javafx.beans.value
Modifier and Type
Interface
Description
`interface`
`ObservableMapValue<K,V>`
An observable reference to an `ObservableMap`.
`interface`
`WritableMapValue<K,V>`
A writable reference to an `ObservableMap`.

## Uses of ObservableMap in javafx.collections

Methods in javafx.collections that return ObservableMap
Modifier and Type
Method
Description
`static <K, V> ObservableMap<K,V>`
FXCollections.`checkedObservableMap(ObservableMap<K,V> map, Class<K> keyType, Class<V> valueType)`
Creates and returns a typesafe wrapper on top of provided observable map.
`static <K, V> ObservableMap<K,V>`
FXCollections.`emptyObservableMap()`
Creates an empty unmodifiable observable map.
`ObservableMap<K,V>`
MapChangeListener.Change.`getMap()`
An observable map that is associated with the change.
`static <K, V> ObservableMap<K,V>`
FXCollections.`observableHashMap()`
Creates a new empty observable map that is backed by a HashMap.
`static <K, V> ObservableMap<K,V>`
FXCollections.`observableMap(Map<K,V> map)`
Constructs an ObservableMap that is backed by the specified map.
`static <K, V> ObservableMap<K,V>`
FXCollections.`synchronizedObservableMap(ObservableMap<K,V> map)`
Creates and returns a synchronized wrapper on top of provided observable map.
`static <K, V> ObservableMap<K,V>`
FXCollections.`unmodifiableObservableMap(ObservableMap<K,V> map)`
Constructs a read-only interface to the specified ObservableMap.
Methods in javafx.collections with parameters of type ObservableMap
Modifier and Type
Method
Description
`static <K, V> ObservableMap<K,V>`
FXCollections.`checkedObservableMap(ObservableMap<K,V> map, Class<K> keyType, Class<V> valueType)`
Creates and returns a typesafe wrapper on top of provided observable map.
`static <K, V> ObservableMap<K,V>`
FXCollections.`synchronizedObservableMap(ObservableMap<K,V> map)`
Creates and returns a synchronized wrapper on top of provided observable map.
`static <K, V> ObservableMap<K,V>`
FXCollections.`unmodifiableObservableMap(ObservableMap<K,V> map)`
Constructs a read-only interface to the specified ObservableMap.
Constructors in javafx.collections with parameters of type ObservableMap
Modifier
Constructor
Description
``
`Change(ObservableMap<K,V> map)`
Constructs a change associated with a map.

## Uses of ObservableMap in javafx.fxml

Methods in javafx.fxml that return ObservableMap
Modifier and Type
Method
Description
`ObservableMap<String,Object>`
FXMLLoader.`getNamespace()`
Returns the namespace used by this loader.

## Uses of ObservableMap in javafx.scene

Methods in javafx.scene that return ObservableMap
Modifier and Type
Method
Description
`ObservableMap<KeyCombination,Runnable>`
Scene.`getAccelerators()`
Gets the list of accelerators for this `Scene`.
`ObservableMap<KeyCombination,ObservableList<Mnemonic>>`
Scene.`getMnemonics()`
Gets the list of mnemonics for this `Scene`.
`final ObservableMap<Object,Object>`
Node.`getProperties()`
Returns an observable map of properties on this node for use primarily by application developers.
`final ObservableMap<Object,Object>`
Scene.`getProperties()`
Returns an observable map of properties on this node for use primarily by application developers.

## Uses of ObservableMap in javafx.scene.control

Methods in javafx.scene.control that return ObservableMap
Modifier and Type
Method
Description
`ObservableMap<Object,Object>`
MenuItem.`getProperties()`
Returns an observable map of properties on this menu item for use primarily by application developers.
`final ObservableMap<Object,Object>`
Tab.`getProperties()`
Returns an observable map of properties on this Tab for use primarily by application developers.
`final ObservableMap<Object,Object>`
TableColumnBase.`getProperties()`
Returns an observable map of properties on this table column for use primarily by application developers.
`ObservableMap<Object,Object>`
Toggle.`getProperties()`
Returns an observable map of properties on this toggle for use primarily by application developers.
`final ObservableMap<Object,Object>`
ToggleGroup.`getProperties()`
Returns an observable map of properties on this node for use primarily by application developers.

## Uses of ObservableMap in javafx.scene.media

Methods in javafx.scene.media that return ObservableMap
Modifier and Type
Method
Description
`final ObservableMap<String,Duration>`
Media.`getMarkers()`
Retrieve the markers defined on this `Media` instance.
`final ObservableMap<String,Object>`
Media.`getMetadata()`
Retrieve the metadata contained in this media source.

## Uses of ObservableMap in javafx.stage

Methods in javafx.stage that return ObservableMap
Modifier and Type
Method
Description
`final ObservableMap<Object,Object>`
Window.`getProperties()`
Returns an observable map of properties on this node for use primarily by application developers.